.stocks {

  a {
    color: black;
    text-decoration: none;
  }

  .wrapper-right {
    padding-right: 30px;

    .text {
      width: 55%;
    }
  }
}

.wrapper-left {
  justify-content: space-between;
  height: 420px;
}

.stocks__bg {
  height: 420px;
  padding: 33px;
  background: url('../img/stocks/1.jpg') 50% 50% no-repeat;
  background-size: cover;
}

.stocks__bg-transparent {
  height: 100%;
  width: 100%;
  padding: 15px;
  background-color: rgba(0, 0, 0, 0.3);

  .row {
    margin-right: 0;
    margin-left: 0;
  }
}

.stocks__text--action.sale {
  font-size: 36px;
  font-weight: 600;
}

.stocks__text--action.sale-product {
  margin-bottom: 10px;
  font-size: 60px;
  font-weight: 700;
  line-height: 56px;
}

.stocks__text--price.sale-size {
  padding: 5px 10px;
  font-size: 50px;
  font-weight: 700;
  border: 5px solid white;
}

.stocks__picture-sm {
  height: 195px;
}

.stocks__picture-sm--top {
  background-color: #e8edf7;
  background-image: url('../img/stocks/2.png'),
  url('../img/stocks/3.png');
  background-repeat: no-repeat, no-repeat;
  background-position: -10% 65%, 100% 0;
  background-size: 37%, contain;
}

.stocks__picture-sm--bottom {
  background-color: #fbf3f7;
  background-image: url('../img/stocks/4.png');
  background-repeat: no-repeat;
  background-size: contain;
}

.stocks__text-box--bottom {
  width: 50%;
}

.stocks__text--action {
  font-size: 30px;
  text-decoration: none;
}

.stocks__text--small {
  font-size: 18px;
  font-weight: 700;
  letter-spacing: 0.15em;
}

.stocks__text--price {
  color: $primary-color;
  font-size: 36px;
  font-weight: 600;
}

.stocks__picture-sm--bottom {
  .stocks__text--action {
    color: $primary-color;
    font-size: 24px;
  }

  .stocks__text--small {
    color: black;
    text-align: end;
    font-size: 18px;
    font-weight: normal;
    letter-spacing: normal;
  }
}

@media (min-width: 992px) and (max-width: 1140px) {

  .stocks__picture-sm--bottom {
    background-size: 45%;
    background-position: left;
  }
  .stocks__text-box--bottom {
    width: 60%;
    padding-left: 30px;
  }
}

@media (min-width: 768px) and (max-width: 991px) {
  .stocks {
    .wrapper-right {
      padding: 0;
    }

    .stocks__container {
      max-width: 75%;
    }
  }

  .wrapper-left {
    .stocks__text-box {
      margin-left: 40px;
    }
  }
}

@media (min-width: 576px) and (max-width: 767px) {

  .stocks__bg {
    height: auto;
    margin-bottom: 20px;
  }

  .stocks__picture-sm--top {
    background-position: -10% 65%, 100% 0;
    background-size: 37%, contain;
  }
  .stocks__text--action {
    font-size: 24px;
  }

  .stocks__text--small {
    font-size: 18px;
    margin-right: 30px;
  }

  .stocks__text--price {
    font-size: 28px;
  }

  .stocks__text-box {
    margin-left: 40px;
  }
}

@media (min-width: 480px) and (max-width: 575px) {

  .stocks {
    height: fit-content;

    .wrapper-right {
      display: none;
    }

    .stocks__container {
      max-width: 95%;
    }
  }

  .stocks__picture-sm--top {
    background-position: -6% 65%, 100% 0;
    background-size: 30%, contain;
  }

  .stocks__text--action {
    font-size: 24px;
  }

  .stocks__text--small {
    font-size: 14px;
  }

  .stocks__text--price {
    font-size: 30px;
  }

  .stocks__picture-sm {
    height: 135px;
    margin-bottom: 30px;
  }

  .wrapper-left {
    height: auto;

    .stocks__text-box {
      margin-left: 40px;
    }

    .stocks__text--action {
      font-size: 18px;
      margin-right: 20px;
    }

    .stocks__text--small {
      font-size: 14px;
    }
  }
}

@media (min-width: 320px) and (max-width: 479px) {
.stocks {
  height: auto;
}

  .wrapper-right {
    display: none;
  }

  .wrapper-left {
    height: auto;
  }

  .stocks__picture-sm--top {
    background-position: -13% 65%, 100% 0;
    background-size: 40%, contain;
  }

  .stocks__picture-sm {
    height: 135px;
    margin-bottom: 30px;
  }

  .stocks__text-box {
    margin-left: 30px;
  }

  .stocks__text--action {
    font-size: 16px;
  }

  .stocks__text--small {
    font-size: 14px;
  }

  .stocks__text--price {
    font-size: 20px;
  }

  .stocks__text-box--bottom {
    width: 60%;
    margin-left: 10px;
  }

  .stocks__picture-sm--bottom {
    background-size: 40%;
    background-position: left;

    .stocks__text--action {
      font-size: 16px;
    }

    .stocks__text--small {
      font-size: 14px;
    }
  }
}